#
# spec file for package MozillaFirefox-theme-oxygen (Version 1.4.90)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

BuildRequires:  fdupes unzip

Name:           MozillaFirefox-theme-oxygen
Version:        1.4.90
Release:        3.3.1
Summary:        Oxygen for Mozilla Firefox    
License:        MPL ; CC-by-SA ; LGPLv2.1+
Group:          Productivity/Networking/Web/Browsers
Url:            http://websvn.kde.org/trunk/playground/artwork/Oxygen/firefox/Oxygen  
Recommends:     MozillaFirefox
Supplements:    packageand(MozillaFirefox:kdebase4-openSUSE)
Source0:        Oxygen-%{version}.jar  
Patch0:         MozillaFirefox-theme-oxygen-3.6.patch
BuildArch:      noarch  
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description  
This is the Oxygen icon set for Mozilla Firefox.  
  
  
Authors:  
--------  
    Harald Sitter  
  
%prep  
unzip -d oxygen-firefox-theme\@oxygen-icons.org %SOURCE0  
%patch0

%build  

%install  
mkdir -p $RPM_BUILD_ROOT%{_datadir}/mozilla/extensions/\{ec8030f7-c20a-464f-9b0e-13a3a9e97384\}  
cp -r oxygen-firefox-theme\@oxygen-icons.org $RPM_BUILD_ROOT%{_datadir}/mozilla/extensions/\{ec8030f7-c20a-464f-9b0e-13a3a9e97384\}/  
ln -sf %{_datadir}/mozilla/extensions/\{ec8030f7-c20a-464f-9b0e-13a3a9e97384\}/oxygen-firefox-theme\@oxygen-icons.org/COPYING COPYING
%fdupes $RPM_BUILD_ROOT%{_datadir}/mozilla/extensions/\{ec8030f7-c20a-464f-9b0e-13a3a9e97384\}

%clean  
rm -rf $RPM_BUILD_ROOT  

%files  
%defattr(-,root,root)    
%doc COPYING  
%dir %{_datadir}/mozilla  
%dir %{_datadir}/mozilla/extensions  
%dir %{_datadir}/mozilla/extensions/{ec8030f7-c20a-464f-9b0e-13a3a9e97384}  
%{_datadir}/mozilla/extensions/{ec8030f7-c20a-464f-9b0e-13a3a9e97384}/oxygen-firefox-theme@oxygen-icons.org  

%changelog
* Mon Aug 16 2010 meissner@suse.de
- patch to make it work with Firefox 3.6 (bnc#624697)
* Sat Aug  8 2009 wr@rosenauer.org
- Added Supplements to install it if Firefox and KDE is installed
  (bnc#526981)
* Sat Jul 25 2009 javier@opensuse.org
- Initial version (1.4.90)
